| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/sharevar.h File Reference

Shared variables. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iSharedVariable
| iSharedVariable implements a refcounted value which can be shared across many objects and updated efficiently. More...
struct | iSharedVariableList
| A list of shared variables. More...
struct | iSharedVariableListener
| A listener so that you can get notified when a variable is changed. More...

## Detailed Description

Shared variables.

Definition in file sharevar.h.